#include <cstdio>

char shift(char c, int step){
    char result = c + step;
    if(result >= 'A' && result <= 'Z') return result;
    else return
}

int main(){
	FILE *fptr;
    if ((fptr = fopen("solution-cols", "r")) == NULL) return 1;

    char word[6];
    printf("Column, step size: ");
    int dist, col;
    scanf("%d %d", &col, &dist);
    col--;

    while(fscanf(fptr, "%c%c%c%c%c%c\n", &word[0], &word[1], &word[2], &word[3], &word[4], &word[5]) != EOF){
    	printf("%c\n", shift(word[col], dist));
    	// key_len = gcd(dist, key_len);
    }

    fclose(fptr);
    //printf("%d\n", key_len);
	return 0;
}